using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public interface IAction {

    public bool ActionPerformed { get; set; }
    public IEnumerator PerformAction();

    public abstract bool GetHilightEnabled();
}
